Subject: [dhcwg] Using different IAID to request for preferred prefix length

From: tianxiang li <[email-masked]>
Date: Thu, 5 Nov 2015 16:15:58 +0800

Hi,

I noticed during the dhc wg meeting, a question was raised about whether a
client should send a new IA_PD option with a different IAID to request for
the preferred prefix length during Renew.

In my opinion, this could be an option, since the client could get a
different prefix. If the client doesn't want to keep two prefixes, it could
release the old prefix.

However, one issue with using a different IAID is that it requires stable
storage of the requesting router device, since rebooting the device would
cause it to use the original IAID on the IA_PD, and then it might get back
the original prefix, if the original prefix hadn't been released or expired.

Regards,
Tianxiang